$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.205-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.33.205-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'BD51D21CE0F525D2AD133F5E31D93B6FBCD5443E7B7CB1AC569C6528B65900BD'
  checksumType = 'sha256'
  checksum64 = 'BD51D21CE0F525D2AD133F5E31D93B6FBCD5443E7B7CB1AC569C6528B65900BD'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.33.205-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
